Bug 1421183 - Review Request: ntetris - simple cli tetris game
Summary: Review Request: ntetris - simple cli tetris game
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: jiri vanek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-10 14:53 UTC by Michal Vala
Modified: 2017-08-01 10:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 10:16:34 UTC
Type: ---
jvanek: fedora-review+


Attachments (Terms of Use)

Comment 1 Antonio T. (sagitter) 2017-02-10 18:48:07 UTC
- Compiler flags are not honored.

- debuginfo package is not built.

Comment 3 jiri vanek 2017-03-16 12:27:42 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 15 files have
     unknown license. Detailed output of licensecheck in
     /home/jvanek/1421183-ntetris/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ntetris-
     debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ntetris-1.0-1.fc24.x86_64.rpm
          ntetris-debuginfo-1.0-1.fc24.x86_64.rpm
          ntetris-1.0-1.fc24.src.rpm
ntetris.x86_64: W: spelling-error Summary(en_US) tetris -> tetras, Trieste
ntetris.x86_64: W: spelling-error %description -l en_US Ncurses -> Curses, N curses, Nurses
ntetris.x86_64: W: spelling-error %description -l en_US tetris -> tetras, Trieste
ntetris.x86_64: W: no-manual-page-for-binary ntetris
ntetris.src: W: spelling-error Summary(en_US) tetris -> tetras, Trieste
ntetris.src: W: spelling-error %description -l en_US Ncurses -> Curses, N curses, Nurses
ntetris.src: W: spelling-error %description -l en_US tetris -> tetras, Trieste
3 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (debuginfo)
-------------------
Checking: ntetris-debuginfo-1.0-1.fc24.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
ntetris.x86_64: W: spelling-error Summary(en_US) tetris -> tetras, Trieste
ntetris.x86_64: W: spelling-error %description -l en_US Ncurses -> Curses, N curses, Nurses
ntetris.x86_64: W: spelling-error %description -l en_US tetris -> tetras, Trieste
ntetris.x86_64: W: no-manual-page-for-binary ntetris
2 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
ntetris (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libncurses.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libtinfo.so.6()(64bit)
    ncurses
    rtld(GNU_HASH)

ntetris-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
ntetris:
    ntetris
    ntetris(x86-64)

ntetris-debuginfo:
    ntetris-debuginfo
    ntetris-debuginfo(x86-64)



Source checksums
----------------
https://github.com/sparkoo/NTetris/archive/1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 39ce88276c6cd8f89efce0ff5aae119b75ab196f26c23da387197db4d614f31c
  CHECKSUM(SHA256) upstream package : 39ce88276c6cd8f89efce0ff5aae119b75ab196f26c23da387197db4d614f31c


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-24-x86_64 -b 1421183
Buildroot used: fedora-24-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Isues:
[-]: Package contains desktop file if it is a GUI application.
 - cli game

[-]: Development files must be in a -devel package
- no development files

[-]: Package contains systemd file(s) if in need.
- no ssytemd

[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
- small docs

[!]: Uses parallel make %{?_smp_mflags} macro.
Aplication is very trivial, imho not worthy of foxing. Michal?


[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
- packager is an upstream and license is involved

[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ntetris-
     debuginfo
- debug info is geenrated. generated debugino seems working correctly

[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
- Michal, do you wont to add CZ metadata to spec?

[!]: Package should compile and build into binary rpms on all supported
     architectures.
- Michal ,do you ind to start scratch on rawhide to see also ppc?

[!]: %check is present and all tests pass.
- no tests:(


Imho none is showstopper, Michal, will you fix some of above and prepare update?

Comment 4 Michal Vala 2017-03-17 09:41:25 UTC
up, same links. just specfile diff: https://github.com/sparkoo/NTetris/commit/632ed12eef9141b46662b8dc508dfc4ed2de6d68.diff

[!]: Uses parallel make %{?_smp_mflags} macro.
- Aplication is very trivial, imho not worthy of foxing. Michal?
should be already built in parallel. see log https://kojipkgs.fedoraproject.org//work/tasks/8991/18428991/build.log -> "+ /usr/bin/make -O -j16 PREFIX=/usr"

- Michal, do you wont to add CZ metadata to spec?
done

- Michal ,do you ind to start scratch on rawhide to see also ppc?
done 
rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=18429020
f24: https://koji.fedoraproject.org/koji/taskinfo?taskID=18428982
f25: https://koji.fedoraproject.org/koji/taskinfo?taskID=18428989

- no tests:(
no tests for now, sorry. may add later when I refactor the app.

Comment 5 jiri vanek 2017-03-17 10:22:31 UTC
(In reply to Michal Vala from comment #4)
> up, same links. just specfile diff:
> https://github.com/sparkoo/NTetris/commit/
> 632ed12eef9141b46662b8dc508dfc4ed2de6d68.diff
> 
> [!]: Uses parallel make %{?_smp_mflags} macro.
> - Aplication is very trivial, imho not worthy of foxing. Michal?
> should be already built in parallel. see log
> https://kojipkgs.fedoraproject.org//work/tasks/8991/18428991/build.log -> "+
> /usr/bin/make -O -j16 PREFIX=/usr"

Oh right! the macro did its job..
> 
> - Michal, do you wont to add CZ metadata to spec?
> done
> 
Thanx!

> - Michal ,do you ind to start scratch on rawhide to see also ppc?
> done 
> rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=18429020
> f24: https://koji.fedoraproject.org/koji/taskinfo?taskID=18428982
> f25: https://koji.fedoraproject.org/koji/taskinfo?taskID=18428989

Thanx!
> 
> - no tests:(
> no tests for now, sorry. may add later when I refactor the app.

Sound like never to me, but sure...

Pacakge is approved.

Comment 6 Gwyn Ciesla 2017-03-17 11:58:44 UTC
Tetris is a trademark, CCing Spot for legal review.

Comment 7 Fedora Update System 2017-03-17 12:24:11 UTC
ntetris-1.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fccd23a739

Comment 8 Fedora Update System 2017-03-17 12:24:40 UTC
ntetris-1.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e736f2b9bc

Comment 9 Fedora Update System 2017-03-17 12:25:13 UTC
ntetris-1.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-af192fa101

Comment 10 Tom "spot" Callaway 2017-03-17 12:28:25 UTC
Uh, this is very clearly trademark infringement. Please cancel that update.

Comment 11 jiri vanek 2017-03-17 12:31:21 UTC
(In reply to Gwyn Ciesla from comment #6)
> Tetris is a trademark, CCing Spot for legal review.

Indeed it is. So maybe also nTetris would harm. But  ntetris?

Anyway, yes, description should be a bit "clearer":

Summary:        Simple tetris for command line
and
Ncurses-based simple tetris game for CLI gaming.

should change to:
  Simple bricks building game based on idea of Tetris for command line
like text.


Still, thanx for catching it up.

Comment 12 Tom "spot" Callaway 2017-03-17 12:44:53 UTC
Capitalization doesn't change anything here. The problem is that this is a game where blocks fall and you clear lines, and you cannot use the trademark "Tetris", because that is trademarked for this exact use.

It is also very difficult to use the "based on..." language in a non-infringing way. For example, in the EU, use of well-known trademarks (such as TRÉSOR, MIRACLE, ANAÏS‑ANAÏS and NOA) in comparison lists used by marketers of imitations of fine fragrancies amounted to an unlawful comparative advertising advantage (because it allowed the third party to take unfair advantage of the reputation of the registered marks) and thus was illicit.

Since this is a "clone" of their game, the comparison is apt. Now, the act of cloning their game design is not at issue, only the use of the trademark to describe it.

To be explicit, for this to go in, it needs to not use the "Tetris" trademark in a way that is visible to the end user. Perhaps "nfallingblocks - a simple cli falling blocks game".

Things you have to rename:
* Desktop files (if any) and their contents
* All strings containing the "Tetris" mark that a user might encounter
* Package name
* Summary/Description strings must not contain the "Tetris" mark.

Things you _should_ rename:
* The binary should not contain the "Tetris" mark. (This is not necessary, but if you rename everything else, it will confuse people expecting to find "nfallingblocks".)

Things you do not have to rename:
* Source file names
* Internal function names not visible to end users
* You can include a Provides: ntetris to help anyone update who caught this early.

*****

Finally, think about how we'd feel if someone made an Operating System called "nFedora". :)

Comment 13 Fedora Update System 2017-03-17 12:47:32 UTC
ntetris-1.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-af192fa101

Comment 14 Michal Vala 2017-04-27 11:40:13 UTC
Thinking about new name. Is "retris" ok?

Comment 15 jiri vanek 2017-04-27 12:02:06 UTC
+1 from me!

Comment 16 Tom "spot" Callaway 2017-04-27 12:16:19 UTC
No. That has the exact same issue as the original name. You're relying on the confusion caused by the "etris" relationship plus the game design, and that's textbook infringement.

Pick a name that is unique, please.

Comment 17 jiri vanek 2017-04-27 13:32:10 UTC
(In reply to Tom "spot" Callaway from comment #16)
> No. That has the exact same issue as the original name. You're relying on
> the confusion caused by the "etris" relationship plus the game design, and
> that's textbook infringement.
> 
> Pick a name that is unique, please.

Thanx. I was afraid you will reply like this.

So Michal, you really are doomed to MyTerribleCmdBricksWithDisapearingRows ...

Comment 18 Michal Vala 2017-08-01 10:16:34 UTC
closing. review with renamed package here: https://bugzilla.redhat.com/show_bug.cgi?id=1477137


Note You need to log in before you can comment on or make changes to this bug.